  SELECT f.table_name || '(' || fc.column_name || ') references ' || 
         r.table_name  || '(' || rc.column_name || ')' "Foreign keys"
    FROM user_cons_columns fc JOIN user_constraints f 
                                ON fc.constraint_name = f.constraint_name
                              JOIN user_constraints r
                                ON f.r_constraint_name = r.constraint_name
                              JOIN user_cons_columns rc 
                                ON r.constraint_name = rc.constraint_name
 ORDER BY 1
/
